import request, {ExtraConfigData} from '../../utils/request';

export const getAmisSupervisorList = async (
  extraData: ExtraConfigData = {}
) => {
  return request({
    url: '/admin/supervisor/get_amis_supervisor_list',
    method: 'POST',
    ...extraData
  });
};

/**
 * @summary description
 */
export const updateAmisJson = async (
  params: any,
  extraData: ExtraConfigData = {},
  req: any = request
) => {
  return req({
    url: '/admin/supervisor/update_amis_supervisor_json',
    method: 'POST',
    data: params,
    ...extraData
  });
};

/**
 * @summary description
 */
export const getLowCodeJson = async (params: any, req: any = request) => {
  return req({
    url: '/admin/supervisor/get_amis_supervisor_xml',
    method: 'POST',
    data: params
  });
};
